MOUNTPOINT(1)

BEZEICHNUNG
mountpoint - Überprüfen, ob ein Verzeichnis oder eine Datei ein Einhängepunkt ist

ÜBERSICHT

mountpoint [-d|-q] Verzeichnis|Datei

mountpoint -x Gerät

BESCHREIBUNG

mountpoint prüft, ob das angegebene Verzeichnis oder die angegebene Datei ein Einhängepunkt ist.Mit Kerneln, die den Systemaufruf statmount(2) unterstützen (Linux 6.8 und neuer), wird diese Schnittstelle verwendet. Auf älteren Kerneln wird stattdessen /proc/self/mountinfo gelesen.

OPTIONEN

-d, --fs-devno
    zeigt die Major/Minor-Nummern des Geräts an, das in dem angegebenen Verzeichnis eingehängt ist.

-q, --quiet
    unterdrückt die Ausgaben.

--nofollow
    folgt keinem symbolischen Link, wenn er das letzte Element in einem Verzeichnis-Pfad ist.

-x, --devno
    zeigt die Major/Minor-Nummern des angegebenen blockorientierten Geräts in der Standardausgabe an.

--show
    gibt den Einhängepunktpfad für den angegebenen Pfad aus. Dies löst das angegebene Verzeichnis oder die Datei zu ihrem tatsächlichen Einhängepunkt auf, was bei Bind-Einhängungen, symbolischen Links oder Pfaden innerhalb von Dateisystemen nützlich ist. Diese Option erfordert Kernelunterstützung für den Systemaufruf statmount(2) (Linux 6.8 und neuer). Bei älteren Kerneln schlägt diese Option mit einer Fehlermeldung fehl.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

EXIT-STATUS

mountpoint hat die folgenden Exit-Status-Werte:

0
    Erfolg; das Verzeichnis ist ein Einhängepunkt, oder das Gerät ist ein Blockgerät (mit --devno)

1
    Fehlschlag; fehlerhafter Aufruf, Zugriffsrechte- oder Systemfehler

32
    Fehlschlag; das Verzeichnis ist kein Einhängepunkt, oder das Gerät ist kein Blockgerät (mit --devno)

UMGEBUNGSVARIABLEN

LIBMOUNT_DEBUG=all
    aktiviert die Fehlersuchausgabe für libmount.

ANMERKUNGEN

Die mountpoint-Implementierung von Util-linux wurde für Libmount von Grund auf neu geschrieben. Die Originalversion für die SysVinit-Suite wurde von Miquel van Smoorenburg geschrieben.

AUTOREN

SIEHE AUCH

mount(8)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl mountpoint ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.